﻿using LogicalElement.Views;
using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

namespace LogicalElement
{
    public class LogicalElementModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            var regionManager = containerProvider.Resolve<RegionManager>();
            regionManager.RegisterViewWithRegion("EditRegion", typeof(StartView));


        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {

        }
    }
}