﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Design.Serialization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CommonUtils.Tcp.TcpSocket;
using Newtonsoft.Json;
using Prism.Mvvm;

namespace TcpClientModule.Model
{
    public class TcpClientModel:BindableBase
    {

        private string ipstring="127.0.0.1";
        private int port=502;


        [JsonIgnore]
        public TcpSocketClient socketClient= null;



        public TcpClientModel() 
        {
        
        }

        public string Ipstring
        {
            get => ipstring;
            set
            {
                SetProperty(ref ipstring,value); 
            }
        }
        

        public int Port
        {
            get => port;
            set
            {
                SetProperty(ref port, value);
            }
        }



      

   
    }

}
