﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Prism.Mvvm;
using System.Threading.Tasks;
using static CommonUtils.Enums.Enums;

namespace TcpClientModule.Model
{
    public class TcpSendModel:BindableBase
    {

        private Encoding sendEncoding = System.Text.Encoding.Default;
        private TcpClientModel _TcpClientModel=new TcpClientModel();

        private YesNO  hasrn= YesNO.否;

        private YesNO  isHex= YesNO.否;

        private string storageType = "无";

        private string storageIndex = "无";

        public Encoding SendEncoding
        {
            get => sendEncoding;
            set
            {
                SetProperty(ref sendEncoding, value);
            }
        }

        public TcpClientModel Tcp_ClientModel
        {
            get => _TcpClientModel; set { SetProperty(ref _TcpClientModel, value); }
        }

        public YesNO Hasrn { get => hasrn; set { SetProperty(ref hasrn, value); } }

        public YesNO IsHex { get => isHex; set { SetProperty(ref isHex, value); } }

        public string StorageType { get => storageType; set { SetProperty(ref storageType, value); } }
        public string StorageIndex { get => storageIndex; set { SetProperty(ref storageIndex, value); } }
    }
}
