﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Prism.Mvvm;
using System.Threading.Tasks;
using System.Collections.ObjectModel;
using LiveCharts;
using System.Threading;
using System.Windows.Media.Media3D;
using Automation.BDaq;
using CommonUtils.内部存储;

namespace BuildProcess.ViewModels
{
    public class LiveChartsViewModel : BindableBase
    {
        private ChartValues<double> dataXCenters;

        public ChartValues<double> DataXCenters
        {
            get { return dataXCenters; }
            set { dataXCenters = value; RaisePropertyChanged(); }
        }

        /// <summary>
        /// 
        /// </summary>
        private ChartValues<int> dataYCenters;

        public ChartValues<int> DataYCenters
        {
            get { return dataYCenters; }
            set { dataYCenters = value; RaisePropertyChanged(); }
        }

        private ObservableCollection<IndexXamlModel> indexData;

        public ObservableCollection<IndexXamlModel> IndexData
        {
            get { return indexData; }
            set { indexData = value; RaisePropertyChanged(); }
        }

        Thread timer;

        public LiveChartsViewModel()
        {
            DataXCenters = new ChartValues<double>() { 1, 2, 3, 4, 5, 6, 2, 3, 2, 2, 3, 4, 6, 2, 3, 4, 1, 2, 3, 4, 5, 6, 2, 3, 2, 2, 3, 4, 6, 2, 3, 4 };
            DataYCenters = new ChartValues<int>() { 2, 4, 6, 8, 10, 12, 18, 19, 16, 12, 13, 14, 18, 10, 12, 12, 2, 4, 6, 8, 10, 12, 18, 19, 16, 12, 13, 14, 18, 10, 12, 12 };


            timer = new Thread(new ThreadStart(Timer_Elapsed));
            //timer.Start();
            // 
            //IndexData = new ObservableCollection<IndexXamlModel>();
            //for ( int i = 0; i < 10; i++ )
            //{
            //    IndexData.Add(new IndexXamlModel() { count = ( i + 1 ) * 3, title = ( i + 1 ) + "级传销商" });
            //}

        }

        private void Timer_Elapsed()
        {
            while (true)
            {
                if (InternalStorage.ischange)
                {

                    List<double> ints = new List<double>();
                    if (InternalStorage.Buffs != null)
                        for (int i = 0; i < InternalStorage.Buffs.Length-1; i++)
                        {
                            if(Math.Abs(InternalStorage.Buffs[i]- InternalStorage.Buffs[i+1])>0.2)
                                ints.Add(InternalStorage.Buffs[i]);
                           
                        }
                    DataXCenters = new ChartValues<double>(ints);
                    InternalStorage.ischange = false;
                }
                Thread.Sleep(500);
                    
            }
        }
    }
    public class IndexXamlModel
    {
        public string title { get; set; }
        public int count { get; set; }
    }

   

}

