﻿using CommonUtils.内部存储;
using ImTools;
using LiveCharts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using static System.Net.Mime.MediaTypeNames;

namespace BuildProcess.Views
{
    /// <summary>
    /// LiveChartsView.xaml 的交互逻辑
    /// </summary>
    public partial class LiveChartsView : UserControl
    {

        Thread MyThread;
        public LiveChartsView()
        {
            InitializeComponent();
            MyThread = new Thread(new ThreadStart(CanvasRun));
            MyThread.Start();
        }

        List<double> XList = new List<double>();
        void CanvasRun() 
        {
            while (true)
            {
                if (InternalStorage.ischange)
                {
                    if (XList.Count != InternalStorage.Buffs.Length)
                    {
                        XList.Clear();
                        for (int i = 0; i < InternalStorage.Buffs.Length; i++)
                        {
                            XList.Add(i);
                        }
                    }
                    this.Dispatcher.Invoke(new Action(() =>
                    {
                        this.series1.XSource = XList;
                        this.series1.YSource = InternalStorage.Buffs;

                    }));

                    //Application.Current.Dispatcher
                       
                 


                    InternalStorage.ischange = false;
                }
                Thread.Sleep(500);

            }


        }
    }
}
