﻿using CardIOView.Views;
using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

namespace CardIOView
{
    public class CardIOViewModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            var regionManager = containerProvider.Resolve<RegionManager>();
            regionManager.RegisterViewWithRegion("ContentRegion", typeof(Views.CardIOView));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {

        }
    }
}