﻿using FlowChartModule.Views;
using FlowChartModule.绘制模块;
using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

namespace FlowChartModule
{
    public class FlowChartModuleModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            var regionManager = containerProvider.Resolve<RegionManager>();
            regionManager.RegisterViewWithRegion("ContentRegion", typeof(ModuleView));
            
                
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterSingleton<DrawModule>();
        }
    }
}