﻿using Prism.Ioc;
using S7NetModule.ViewModels;
using S7NetModule.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Newtonsoft.Json;
using System.Threading.Tasks;
using System.Windows;



namespace ParentService.ParentService
{
    public class S7ReadService : ParentClass
    {
        [JsonIgnore]
        public IContainerProvider _container;

        private S7ReadlViewModel s7ReadViewModel=new S7ReadlViewModel();
        [JsonIgnore]
        private S7ReadlView s7ReadView;


        public S7ReadlViewModel ReadViewModel { get => s7ReadViewModel; set => s7ReadViewModel = value; }

        [JsonIgnore]
        public S7ReadlView S7_ReadView
        {
            get
            {
                s7ReadView = _container.Resolve<S7ReadlView>();
                return s7ReadView;
            }
            set => s7ReadView = value;
        }

        public S7ReadService(IContainerProvider container)
        {

            _container = container;
        }
        public override void Accept(IVisitor visitor) { visitor.Visit(this); }

        public override bool AcceptRun(RunIVisitor visitor)
        {
           return visitor.RunVisit(this);
        }

        public override S7ReadService GetServices(IService visitor)
        {
            return visitor.GetService(this, _container);
        }

    }
}
