﻿using Newtonsoft.Json;
using Prism.Ioc;
using S7NetModule.ViewModels;
using S7NetModule.Views;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ParentService.ParentService
{
    public class S7WriteService : ParentClass
    {

        [JsonIgnore]
        public IContainerProvider _container;
        private S7WriteViewModel s7WriteViewModel=new  S7WriteViewModel();
        [JsonIgnore]
        private S7WriteView s7WriteView;
        public S7WriteViewModel WriteViewModel { get => s7WriteViewModel; set => s7WriteViewModel = value; }

        [JsonIgnore]
        public S7WriteView  S7_WriteView
        {
            get
            {
                s7WriteView = _container.Resolve<S7WriteView>();
                return s7WriteView;
            }
            set => s7WriteView = value;
        }

        public S7WriteService(IContainerProvider container)
        {

            _container = container;
        }
        public override void Accept(IVisitor visitor) { visitor.Visit(this); }

        public override bool AcceptRun(RunIVisitor visitor)
        {
           return visitor.RunVisit(this);
        }
        public override S7WriteService GetServices(IService visitor)
        {
            return visitor.GetService(this,_container);
        }
    }
}
