﻿using Newtonsoft.Json;
using Prism.Ioc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ParentService.ParentService
{
    public class StartService : ParentClass
    {
        [JsonIgnore]
        private IContainerProvider _container;
        public StartService(IContainerProvider container) { _container = container; }

        public override void Accept(IVisitor visitor) { visitor.Visit(this); }

       
        public override StartService GetServices(IService visitor)
        {
            return visitor.GetService(this, _container);
        }
    }
}
