﻿using S7.Net;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Printing;
using System.Text;
using Prism.Mvvm;
using System.Threading.Tasks;

namespace S7NetModule.Model
{
    public class S7ReadModel:BindableBase
    {


        private int db;
        private int startByteAdr;
        private int  varCount=0;
        private byte bitAdr=0;
        private VarType varType=  VarType.Byte;
        private bool refPass = false;    
        public S7ReadModel() 
        {
        }

        public int Db { get => db; set { SetProperty(ref db, value); } }
        public int StartByteAdr { get => startByteAdr; set { SetProperty(ref startByteAdr, value); } }
        public int VarCount { get => varCount; set { SetProperty(ref varCount, value); } }
        public byte BitAdr { get => bitAdr; set { SetProperty(ref bitAdr, value); } }
        public VarType VarType { get => varType; set { SetProperty(ref varType, value); } }

        public bool RefPass { get => refPass; set { SetProperty(ref refPass, value); } }
    }
}
