﻿using S7.Net;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Prism.Mvvm;
using System.Threading.Tasks;

namespace S7NetModule.Model
{
    public class S7WriteModel:BindableBase
    {

        private int db=1;
        private int startByteAdr=0;
        private object  _value=0;
        private byte bitAdr=0;
        private VarType varType=  VarType.Byte;

        public S7WriteModel()
        {
        }

        public int Db { get => db; set { SetProperty(ref db, value); } }
        public int StartByteAdr { get => startByteAdr; set { SetProperty(ref startByteAdr, value); } }
        public object Value { get => _value; set { SetProperty(ref _value, value); } }
        public byte BitAdr { get => bitAdr; set { SetProperty(ref bitAdr, value); } }
        public VarType VarType { get => varType; set { SetProperty(ref varType, value); } }
    }
}
